AMQPConnection::setLogin
AMQPConnection::setPort
AMQPConnection
PHP Manual

# AMQPConnection::setPassword

(PECL amqp >= Unknown)

AMQPConnection::setPassword — Set the password.

### Description

public bool AMQPConnection::setPassword ( string `$password` )

This method will set the password string used to connect to the AMQP broker.

### Parameters

`password`

  The password string used to authenticate with the AMQP broker.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Errors/Exceptions

Throws an AMQPConnectionException if `password` is longer then 32characters.

### Examples

Example #1 AMQPConnection::setPassword() example

`<?php
/* Create a new connection */
$cnn = new AMQPConnection();
// set the password
$cnn->setPassword('mypassword');
?>`

AMQPConnection::setLogin
AMQPConnection::setPort
AMQPConnection
PHP Manual